Subject: Pagan Pages

From: [email-masked] (Lee Ann Rabe)
Date: Sun, 13 Aug 1995 18:16:32 -0500

The Pagan Community Council of Ohio is compiling the 1996 Pagan Pages, a
membership directory and resource guide. The resource guide will include a
compilation of Pagan-owned and Pagan-friendly businesses, both in Ohio and
throughout the United States. We are also trying to compile Pagan resources
(ie retreats, classes - mail-order or otherwise, etc.).

If you are own such a business or provide such a resource and are
interested in being involved with the 1996 Pagan Pages, please e-mail me
for more information.

Brigit's Blessings,

Lee Ann Rabe

-- 
[email-masked]

"We must all hang together, or we will most assuredly hang separately."
--- Ben Franklin